SDL_GetNumRenderDrivers(3)

NAME
SDL_GetNumRenderDrivers - Get the number of 2D rendering drivers available for the current display.

SYNOPSIS
#include <SDL3/SDL_render.h>

int SDL_GetNumRenderDrivers(void);

DESCRIPTION
A render driver is a set of code that handles rendering and texture management on a particular display. Normally there is only one, but some drivers may have several available with different capabilities.

There may be none if SDL was compiled without render support.

RETURN VALUE
Returns the number of built in render drivers.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateRenderer(3), SDL_GetRenderDriver(3)